Previous: License, Up: Introduction [Index]

### 1.5 Building GNU Parted

If you want to compile GNU Parted, this is generally done with:

    $ ./configure
    $ make

However, there are a few options for `configure`:

`--without-readline`

  turns off use of readline. This is useful for making rescue disks, etc., where few libraries are available.

`--disable-debug`

  don’t include assertions

`--disable-dynamic-loading`

  disables dynamic loading of some libraries (only libreiserfs for now, although we hope to expand this). Dynamic loading is useful because it allows you to reuse libparted shared libraries even when you don’t know if some libraries will be available. It has a small overhead (mainly linking with libdl), so it may be useful to disable it on bootdisks if you don’t need the flexibility.

`--disable-nls`

  turns off native language support. This is useful for use with old versions of glibc, or a trimmed down version of glibc suitable for rescue disks.

`--disable-shared`

  turns off shared libraries. This may be necessary for use with old versions of GNU libc, if you get a compile error about a “spilled register”. Also useful for boot/rescue disks.

`--enable-discover-only`

  support only reading/probing (reduces size considerably)

`--enable-mtrace`

  enable malloc() debugging

`--enable-read-only`

  disable writing (for debugging)

#### 1.5.1 Introduction

If you want to run GNU Parted on a machine without GNU/Linux installed, or you want to modify a root or boot partition, use GParted Live: http://gparted.sourceforge.net/livecd.php.